import torch
import torch.nn as nn
import torch.nn.functional as F



BATCH_SIZE = 256
CHANNELS = 128
W_IN = 1024 


PADDING = (4, 7) 
PAD_L, PAD_R = PADDING

W_OUT = W_IN + PAD_L + PAD_R

class Model(nn.Module):

    def __init__(self, padding):
        super().__init__()
        self.pad_layer = nn.CircularPad1d(padding)

    def forward(self, x: torch.Tensor) -> torch.Tensor:
        return self.pad_layer(x)


def get_inputs():

    x = torch.randn(BATCH_SIZE, CHANNELS, W_IN, dtype=torch.float32)
    return [x]


def get_init_inputs():

    return [PADDING]